=== modified file 'missing.py'
--- missing.py	2007-11-02 14:49:57 +0000
+++ missing.py	2007-12-06 23:37:06 +0000
@@ -44,7 +44,9 @@
         extra_revs = gtk.ScrolledWindow()
         vbox = gtk.VBox()
         for rev in revisions:
-            vbox.pack_start(RevisionView(rev), True, True)
+            rv = RevisionView()
+            rv.set_revision(rev)
+            vbox.pack_start(rv, True, True)
         extra_revs.add_with_viewport(vbox)
         extra_revs.set_policy(gtk.POLICY_NEVER, gtk.POLICY_AUTOMATIC)
         return extra_revs

=== modified file 'revisionview.py'
--- revisionview.py	2007-12-06 23:30:30 +0000
+++ revisionview.py	2007-12-06 23:37:06 +0000
@@ -71,7 +71,7 @@
         self._revision = None
         self._branch = branch
 
-        if self._branch.supports_tags():
+        if self._branch is not None and self._branch.supports_tags():
             self._tagdict = self._branch.tags.get_reverse_tag_dict()
         else:
             self._tagdict = {}

